---
schema_version: "1"
id: 8ceafcfb4dad2b8e5136775ca67b83fc188ede2312b73beefe1ba6e7620e9cc2
title: Get Job Successful Record Results
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-asynch/guides/api-bulk-v2/reference/get-job-successful-results.md
canonical_url: https://developer.salesforce.com/docs/platform/api-asynch/guide/get-job-successful-results.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 7143bf924d07ce2e07fb5e462706b951ec5e70ca435b0312a74cf91e79b09a9f
products:
  - Bulk API 2.0 and Bulk API Developer Guide
  - Platform Developer Content
---

# Get Job Successful Record Results

Retrieves a list of successfully processed records for a completed job.

**URI:** `/services/data/vXX.X/jobs/ingest/jobID/successfulResults/`

**Availability:** This resource is available in API version 41.0 and later.

**Formats:** CSV

**HTTP Method:** GET

**Authentication:** `Authorization: Bearer token`

**Parameters:** None.

**Request Body**

None required.

**Response Body**

The response body is a CSV file that all the records that the job successfully processed. Each row corresponds to a successfully processed record and contains the following information.

| Property                                    | Type      | Description                                                                       |
| ------------------------------------------- | --------- | --------------------------------------------------------------------------------- |
| `sf__Created`                               | boolean   | Indicates if the record was created.                                              |
| `sf__Id`                                    | string    | ID of the record that was successfully processed. Empty for marketing objects.    |
| `Fields from the original CSV request data` | _various_ | Field data for the row that was provided in the original job data upload request. |

**Usage Notes**

- The order of records in the response is not guaranteed to match the ordering of records in the original job data.
- Results are not recorded for batches that exceed the daily batch allocation.
